glab(1)

NAME
glab-duo-ask - Generate Git commands from natural language.

SYNOPSIS
glab duo ask [flags]

DESCRIPTION
Generate Git commands from natural language using AI assistance.

Describe what you want to do in plain language, and GitLab Duo (Classic) suggests the appropriate Git commands. The AI provides both the commands and an explanation.

After you receive the suggested commands, you can execute them directly from the CLI. You must confirm each command before it runs.

Use this command to:

•   Retrieve forgotten Git commands.

•   Learn how to accomplish specific Git operations.

•   Get guidance on complex Git workflows.

•   Reduce context switching during development.

OPTIONS
--git[=true]
    Ask a question about Git.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    $ glab duo ask list last 10 commit titles
    > A list of Git commands to show the titles of the latest 10 commits with an explanation and an option to execute the commands.
    $ glab duo ask how do I undo my last commit
    > Suggestions for undoing the last commit with explanations of different approaches.
    $ glab duo ask show me files changed in the last commit
    > Commands to display files modified in the most recent commit.

SEE ALSO
glab-duo(1)